export const groupFilter = (row, columnId, value) => {
  const group = row.getValue(columnId);
  if (group.responseType === "RUNNERORGANIZATION") {
    return group.name.toLowerCase().includes(value.toLowerCase());
  } else if (value.includes(">")) {
    return `${group.parentGroup.name} > ${group.name}`
      .toLowerCase()
      .includes(value.toLowerCase());
  } else {
    return (
      group.name.toLowerCase().includes(value.toLowerCase()) ||
      group.parentGroup.name.toLowerCase().includes(value.toLowerCase())
    );
  }
};
export const runnerFilter = (row, columnId, value) => {
  const runner = row.getValue(columnId);
  return filterRunner(runner, value);
};

export const donationRunnerFilter = (row, columnId, value) => {
  const runner = row.getValue(columnId);
  if (!runner) {
    return false;
  }
  return filterRunner(runner, value);
};

export const donationDonorFilter = (row, columnId, value) => {
  const runner = row.getValue(columnId);
  return filterRunner(runner, value);
};

function filterRunner(runner, value) {
  if (!runner && value == "blanko") {
    return true;
  }
  if (!runner) {
    return false;
  }

  if (value.startsWith("#")) {
    return runner.id == value.replace("#", "");
  }

  if (runner.middlename) {
    return `${runner.firstname} ${runner.middlename} ${runner.lastname}`
      .toLowerCase()
      .includes(value.toLowerCase());
  }
  return `${runner.firstname} ${runner.lastname}`
    .toLowerCase()
    .includes(value.toLowerCase());
}

export const filterName = (row, columnId, value) => {
  const obj = row.original;
  if (obj.middlename) {
    return `${obj.firstname} ${obj.middlename} ${obj.lastname}`
      .toLowerCase()
      .includes(value.toLowerCase());
  }
  return `${obj.firstname} ${obj.lastname}`
    .toLowerCase()
    .includes(value.toLowerCase());
};

export const filterAddress = (row, columnId, value) => {
  const obj = row.original.address;
  if (obj.address2) {
    s;
    return `${obj.address1} ${obj.address2} ${obj.postalcode} ${obj.city} ${obj.country}`
      .toLowerCase()
      .includes(value.toLowerCase());
  }
  return `${obj.address1} ${obj.postalcode} ${obj.city} ${obj.country}`
    .toLowerCase()
    .includes(value.toLowerCase());
};

export const statusFilter = (row, columnId, value) => {
  const status = row.getValue(columnId);
  return status.toString().includes(value);
};
